Bug 470839 - mkinitrd does not create '/dev/hvc0' console device inside initrd
mkinitrd does not create '/dev/hvc0' console device inside initrd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-11-10 11:00 EST by James Laska
Modified: 2013-09-02 02:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 18:52:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fix for hvc devices (532 bytes, patch)
2008-11-10 16:42 EST, Tom "spot" Callaway
no flags Details | Diff
add hvc device nodes for all arches (478 bytes, patch)
2008-11-11 17:45 EST, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description James Laska 2008-11-10 11:00:15 EST
+++ This bug was initially created as a clone of Bug #470569 +++

Booting F10 on a IBM PowerPC system with encrypted partitions fails.  It appears that /dev/hvc0 is not created inside the initrd.

By adding the following into the initrd's '/init' script I am able to boot and enter my passphrase.

--- /tmp/init.old	2008-11-10 10:55:11.000000000 -0500
+++ /tmp/init.new	2008-11-10 10:55:24.000000000 -0500
@@ -21,2 +21,3 @@
 mknod /dev/fb c 29 0
+mknod /dev/hvc0 c 229 0
 mknod /dev/tty0 c 4 0

# rpm -q mkinitrd
mkinitrd-6.0.70-1.fc10.ppc

# tty
/dev/hvc0

# ls -ltd /dev/hvc0
crw--w---- 1 root tty 229, 0 2008-11-10 10:52 /dev/hvc0
Comment 1 Tom "spot" Callaway 2008-11-10 16:42:58 EST
Created attachment 323121 [details]
fix for hvc devices

Only adds hvc devices on ppc.
Comment 2 Jeremy Katz 2008-11-10 17:10:17 EST
HVC is used on more than ppc these days; it's also the console type for pvops Xen guests without a framebuffer.  So we should probably just create them on all arches
Comment 3 Tom "spot" Callaway 2008-11-11 17:45:08 EST
Created attachment 323270 [details]
add hvc device nodes for all arches
Comment 4 Peter Jones 2008-11-12 13:34:13 EST
Should be fixed in 6.0.71-1 (albeit not with the patch attached.)
Comment 5 Jesse Keating 2008-11-14 18:52:13 EST
71-2 is tagged for F10-final, closing bug.

Note You need to log in before you can comment on or make changes to this bug.